## org.firebirdsql.jdbc
Class AbstractSavepoint

    java.lang.Object
      org.firebirdsql.jdbc.AbstractSavepoint

All Implemented Interfaces:
  FirebirdSavepoint

Direct Known Subclasses:
  FBSavepoint

    public abstract class AbstractSavepoint

extends Object
implements FirebirdSavepoint

Implementation of the `FirebirdSavepoint` interface. Subclasses might additionally implement `Savepoint` interface.

Field Summary
`static String` `SAVEPOINT_ID_PREFIX`

Constructor Summary
`AbstractSavepoint(int id)` Create instance of this class.
`AbstractSavepoint(String name)` Create instance of this class for the specified name.

Method Summary
`boolean` `equals(Object obj)` Check if objects are equal.
`int` `getSavepointId()` Get ID of the savepoint.
`String` `getSavepointName()` Get name of the savepoint.
`int` `hashCode()` Get hash code of this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAVEPOINT_ID_PREFIX

    public static final String SAVEPOINT_ID_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### AbstractSavepoint

    public AbstractSavepoint(int id)

  Create instance of this class.

  Parameters:
    `id` - ID of the savepoint.

### AbstractSavepoint

    public AbstractSavepoint(String name)

  Create instance of this class for the specified name.

  Parameters:
    `name` - name of the savepoint.

Method Detail

### getSavepointId

    public int getSavepointId()
                       throws SQLException

  Get ID of the savepoint.

  Specified by:
    `getSavepointId` in interface `FirebirdSavepoint`
  Returns:
    the numeric ID of this savepoint
  Throws:
    `SQLException` - if this is a named savepoint

### getSavepointName

    public String getSavepointName()
                            throws SQLException

  Get name of the savepoint.

  Specified by:
    `getSavepointName` in interface `FirebirdSavepoint`
  Returns:
    the name of this savepoint
  Throws:
    `SQLException` - if this is an un-named savepoint

### equals

    public boolean equals(Object obj)

  Check if objects are equal. For unnamed savepoints their IDs are checked, otherwise their names.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - object to test.
  Returns:
    `true` if `obj` is equal to this object.

### hashCode

    public int hashCode()

  Get hash code of this instance.

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2010. All Rights Reserved.